Skip to main content
DELETE
/
v1
/
accounts
/
{id}
/
virtual-accounts
/
{virtualAccountId}
Delete a Virtual Account by id
curl --request DELETE \
  --url https://sandbox-api.borderless.xyz/v1/accounts/{id}/virtual-accounts/{virtualAccountId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "accountId": "<string>",
  "counterPartyIdentityId": "<string>",
  "status": "Active",
  "asset": "POL",
  "fiat": "USD",
  "instructions": {},
  "depositInstructions": [
    {
      "paymentMethod": "ACH",
      "details": {
        "depositMessage": "<string>",
        "bankAccountNumber": "<string>",
        "bankRoutingNumber": "<string>",
        "bankBeneficiaryName": "<string>",
        "bankBeneficiaryAddress": "<string>",
        "bankName": "<string>",
        "bankAddress": "<string>",
        "bic": "<string>"
      }
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "failureReason": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
virtualAccountId
string
required

Response

Successfully deleted Virtual Account data.

id
string
required
accountId
string
required
counterPartyIdentityId
string | null
required
status
enum<string>
required
Available options:
Active,
NotActive,
Rejected
asset
enum<string>
required
Available options:
POL,
USDT_POLYGON,
USDC_POLYGON,
ETH,
USDT_ETHEREUM,
USDC_ETHEREUM,
PYUSD_ETHEREUM,
DAI_ETHEREUM,
SBC_ETHEREUM,
TRX,
USDT_TRON,
ETH_BASE,
USDC_BASE,
USDB_BASE,
EURC_BASE,
ETH_OPTIMISM,
USDT_OPTIMISM,
USDC_OPTIMISM,
BTC,
CELO,
CUSD_CELO,
USDC_CELO,
SOL,
USDC_SOLANA,
USDT_SOLANA,
PYUSD_SOLANA,
USDP_SOLANA,
EURC_SOLANA
fiat
enum<string>
required

Fiat currency identifier supported by the PFI account.

Available options:
USD,
EUR,
BRL,
ARS,
MXN,
COP,
CLP,
PEN,
PYG,
DOP,
UYU,
BOB,
CRC,
GTQ,
BWP,
CDF,
GHS,
KES,
MWK,
NGN,
RWF,
ZAR,
TZS,
UGX,
ZMW,
XOF,
XAF,
AUD,
BDT,
CAD,
INR,
JPY,
NPR,
PKR,
PHP,
SGD,
GBP,
CNY,
HKD,
IDR,
MYR,
KRW,
LKR,
THB,
TRY,
VND,
CZK,
DKK,
NOK,
PLN,
RON,
RSD,
SEK,
AED,
SAR,
QAR,
ILS,
EGP,
JOD,
HNL,
JMD,
NZD,
DZD,
GMD,
GNF,
HTG,
MAD,
TND
instructions
object
required
deprecated

Deprecated field. Please use depositInstructions instead.

depositInstructions
object[] | null
required
createdAt
string<date-time>
required
failureReason
object
required